Retrieve keyword suggestions for Google Ads campaigns
http
POST https://services.leadconnectorhq.com/ad-publishing/google/keyword-ideasAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | HChooFuiyPpVYzeJ4HMe | Account identifier |
Body
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
url | string | Yes | https://example.com | Target URL |
languageCode | string | No | en | Language code |
locations | string[] | No | Target accounts | |
keywords | string[] | No | Seed keywords |
Responses
201 - Response
400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/google/keyword-ideas' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"url": "https://example.com",
"languageCode": "en",
"locations": [
"US",
"CA"
],
"keywords": [
"marketing"
]
}'const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/google/keyword-ideas', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"url": "https://example.com", "languageCode": "en", "locations": ["US", "CA"], "keywords": ["marketing"]}),
});
const data = await response.json();import os, requests
response = requests.request(
'POST',
'https://services.leadconnectorhq.com/ad-publishing/google/keyword-ideas',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"url": "https://example.com", "languageCode": "en", "locations": ["US", "CA"], "keywords": ["marketing"]},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/ad-publishing/google/keyword-ideas');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'url': 'https://example.com', 'languageCode': 'en', 'locations': ['US', 'CA'], 'keywords': ['marketing']}),
]);
$data = json_decode(curl_exec($ch), true);